export async function useResponse(parameter: any = {}, requestApi: any, loading?: Ref<boolean>) {
  const loadingRef = loading ?? ref(false);
  try {
    loadingRef.value = true;
    return await requestApi(parameter);
  } catch (error) {
    console.log('Error==>', error);
  } finally {
    loadingRef.value = false;
  }
}
